OpenNMS API 1.2.9

## org.opennms.web.element
Class ElementUtil

    java.lang.Object
      org.opennms.web.element.ElementUtil

public class ElementUtil
extends java.lang.Object

Field Summary
`static int` `DEFAULT_TRUNCATE_THRESHOLD`
`protected static java.util.HashMap` `interfaceStatusMap` Do not use directly.
`protected static java.util.HashMap` `serviceStatusMap` Do not use directly.

Constructor Summary
`private` `ElementUtil()` Private constructor so this class cannot be instantiated.

Method Summary
`protected static java.util.Map` `getInterfaceStatusMap()` Returns the interface status map, initializing a new one if necessary.
`static java.lang.String` `getInterfaceStatusString(char c)` Return the human-readable name for a interface status character, may be null.
`static java.lang.String` `getInterfaceStatusString(Interface intf)` Return the human-readable name for a interface's status, may be null.
`protected static java.util.Map` `getServiceStatusMap()` Returns the service status map, initializing a new one if necessary.
`static java.lang.String` `getServiceStatusString(char c)` Return the human-readable name for a service status character, may be null.
`static java.lang.String` `getServiceStatusString(Service svc)` Return the human-readable name for a service's status, may be null.
`static java.lang.String` `truncateLabel(java.lang.String label)`
`static java.lang.String` `truncateLabel(java.lang.String label, int truncateThreshold)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interfaceStatusMap

    protected static java.util.HashMap interfaceStatusMap

  Do not use directly. Call `getInterfaceStatusMap` instead.

### serviceStatusMap

    protected static java.util.HashMap serviceStatusMap

  Do not use directly. Call `getServiceStatusMap` instead.

### DEFAULT_TRUNCATE_THRESHOLD

    public static final int DEFAULT_TRUNCATE_THRESHOLD

See Also:
  Constant Field Values

Constructor Detail

### ElementUtil

    private ElementUtil()

  Private constructor so this class cannot be instantiated.

Method Detail

### getInterfaceStatusMap

    protected static java.util.Map getInterfaceStatusMap()

  Returns the interface status map, initializing a new one if necessary.

### getInterfaceStatusString

    public static java.lang.String getInterfaceStatusString(Interface intf)

  Return the human-readable name for a interface's status, may be null.

### getInterfaceStatusString

    public static java.lang.String getInterfaceStatusString(char c)

  Return the human-readable name for a interface status character, may be null.

### getServiceStatusMap

    protected static java.util.Map getServiceStatusMap()

  Returns the service status map, initializing a new one if necessary.

### getServiceStatusString

    public static java.lang.String getServiceStatusString(Service svc)

  Return the human-readable name for a service's status, may be null.

### getServiceStatusString

    public static java.lang.String getServiceStatusString(char c)

  Return the human-readable name for a service status character, may be null.

### truncateLabel

    public static java.lang.String truncateLabel(java.lang.String label)

### truncateLabel

    public static java.lang.String truncateLabel(java.lang.String label,
                                                 int truncateThreshold)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.